function onBegin()

  if not getFlag("start") then

    blackkey = celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("blackkey")
    blackkey:removeSelf()
    playSound("event:/game/WanderBDay/omori_key", player.Position)
    setFlag("start")
    setFlag("portas")
    wait()
    setFlag("portas", false)

  end

end